APIReference data
Get an airport
GET
bearerAuth reference_data.readheader
AuthorizationBearer <API key or OAuth 2.1 access token>Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.
Scope: reference_data.read
id*integerResource ID.
Range
1 <= valueAirport.
application/json- response
data*curl -X GET 'https://your-instance.example/api/v1/airports/1'Example Response
{ "data": { "id": 0, "icao": "string", "iata": "string", "name": "string", "municipality": "string", "latitude": 0, "longitude": 0, "timezone": "string", "type": "small_airport", "continent": "AF", "country": "string", "custom": true }}Search airports GET
Returns a bounded set of best matches and is not paginated; `page.nextCursor` is always null. Narrow the query to reach other results.
Search airlines GET
Returns a bounded set of best matches and is not paginated; `page.nextCursor` is always null. Narrow the query to reach other results.
